Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class MenuComponent

    java.lang.Object
      |
      +--java.awt.MenuComponent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MenuBar, MenuItem

public abstract class MenuComponent
extends Object
implements Serializable

The abstract class `MenuComponent` is the superclass of all menu-related components. In this respect, the class `MenuComponent` is analogous to the abstract superclass `Component` for AWT components.

Menu components receive and process AWT events, just as components do, through the method `processEvent`.

Since:
  JDK1.0
See Also:
  Serialized Form

Inner Class Summary
`protected class` | `MenuComponent.AccessibleAWTMenuComponent` Inner class of MenuComponent used to provide default support for accessibility.

Constructor Summary
`MenuComponent()` Constructor for MenuComponent.

Method Summary
`void` | `dispatchEvent(AWTEvent e)`
`AccessibleContext` | `getAccessibleContext()` Get the AccessibleContext associated with this MenuComponent
`Font` | `getFont()` Gets the font used for this menu component.
`String` | `getName()` Gets the name of the menu component.
`MenuContainer` | `getParent()` Returns the parent container for this menu component.
`java.awt.peer.MenuComponentPeer` | `getPeer()` Deprecated. As of JDK version 1.1, programs should not directly manipulate peers.
`protected Object` | `getTreeLock()` Gets this component's locking object (the object that owns the thread sychronization monitor) for AWT component-tree and layout operations.
`protected String` | `paramString()` Returns the parameter string representing the state of this menu component.
`boolean` | `postEvent(Event evt)` Deprecated. As of JDK version 1.1, replaced by `dispatchEvent(AWTEvent)`.
`protected void` | `processEvent(AWTEvent e)` Processes events occurring on this menu component.
`void` | `removeNotify()` Removes the menu component's peer.
`void` | `setFont(Font f)` Sets the font to be used for this menu component to the specified font.
`void` | `setName(String name)` Sets the name of the component to the specified string.
`String` | `toString()` Returns a representation of this menu component as a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MenuComponent

    public MenuComponent()

  Constructor for MenuComponent.

Method Detail

### getName

    public String getName()

  Gets the name of the menu component.
  Returns:
    the name of the menu component.
  Since:
    JDK1.1
  See Also:
    `setName(java.lang.String)`

### setName

    public void setName(String name)

  Sets the name of the component to the specified string.
  Parameters:
    `name` - the name of the menu component.
  Since:
    JDK1.1
  See Also:
    `getName()`

### getParent

    public MenuContainer getParent()

  Returns the parent container for this menu component.
  Returns:
    the menu component containing this menu component, or `null` if this menu component is the outermost component, the menu bar itself.

### getPeer

    public java.awt.peer.MenuComponentPeer getPeer()

  Deprecated. As of JDK version 1.1, programs should not directly manipulate peers.

### getFont

    public Font getFont()

  Gets the font used for this menu component.
  Returns:
    the font used in this menu component, if there is one; `null` otherwise.
  See Also:
    `setFont(java.awt.Font)`

### setFont

    public void setFont(Font f)

  Sets the font to be used for this menu component to the specified font. This font is also used by all subcomponents of this menu component, unless those subcomponents specify a different font.
  Parameters:
    `f` - the font to be set.
  See Also:
    `getFont()`

### removeNotify

    public void removeNotify()

  Removes the menu component's peer. The peer allows us to modify the appearance of the menu component without changing the functionality of the menu component.

### postEvent

    public boolean postEvent(Event evt)

  Deprecated. As of JDK version 1.1, replaced by `dispatchEvent(AWTEvent)`.

  Posts the specified event to the menu. This method is part of the Java 1.0 event system and it is maintained only for backwards compatibility. Its use is discouraged, and it may not be supported in the future.
  Parameters:
    `evt` - the event which is to take place

### dispatchEvent

    public final void dispatchEvent(AWTEvent e)

### processEvent

    protected void processEvent(AWTEvent e)

  Processes events occurring on this menu component.
  Parameters:
    `e` - the event
  Since:
    JDK1.1

### paramString

    protected String paramString()

  Returns the parameter string representing the state of this menu component. This string is useful for debugging.
  Returns:
    the parameter string of this menu component.

### toString

    public String toString()

  Returns a representation of this menu component as a string.
  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this menu component.

### getTreeLock

    protected final Object getTreeLock()

  Gets this component's locking object (the object that owns the thread sychronization monitor) for AWT component-tree and layout operations.
  Returns:
    This component's locking object.

### getAccessibleContext

    public AccessibleContext getAccessibleContext()

  Get the AccessibleContext associated with this MenuComponent
  Returns:
    the AccessibleContext of this MenuComponent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.